<html>
<head>
<title>Generic block game help</title>
<link rel="stylesheet" href="gbg.css">
</head>
<body>
<div class="header"><img src="gfx/gbgtitle.png" alt="Generic block game"></div>
<table class="nav">
	<tr>
		<td><a href="general.html">General information</a></td>
		<th><a href="variationhelps.html">Included variations</a></th>
		<td><a href="variations.html">.var file reference</a></td>
	</tr>
</table>

<h2>Included variations</h2>

<ul>
<li><a href="#vartetrislike">Tetrislike</a></li>
<li><a href="#vartetrominofactory">Tetromino factory</a></li>
<li><a href="#varcolumnslike">Columnslike</a></li>
<li><a href="#vardipol">Dipol</a></li>
<li><a href="#varpentaxim">Pentaxim</a></li>
<li><a href="#varpentest">Pentest</a></li>
</ul>

<h2 id="vartetrislike">Ancestor</h2>
<p>Input shapes are tetrominos.</p>
<p>The goal is to assemble horizontal lines.</p>


<h2 id="vartetrominofactory">Tetromino factory</h2>
<p>Input shapes are single blocks.</p>
<p>The goal is to assemble tetrominos of following colors:</p>
<div class="playfield">
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile7.png"><img src="gfx/tile7.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile7.png"><img src="gfx/tile7.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile4.png"><img src="gfx/tile4.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile6.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile4.png"><img src="gfx/tile4.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile6.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile2.png"><img src="gfx/tilebg.png"><img src="gfx/tile6.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile5.png"><img src="gfx/tilebg.png"><img src="gfx/tile2.png"><img src="gfx/tile2.png"><img src="gfx/tile2.png"><img src="gfx/tilebg.png"><img src="gfx/tile6.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile5.png"><img src="gfx/tile5.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile5.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile3.png"><img src="gfx/tile3.png"><img src="gfx/tile3.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile3.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
</div>

<h2 id="varcolumnslike">Color Triplets</h2>
<p>Input shapes are 3 random blocks aligned vertically.</p>
<p>The goal is to assemble 3 same blocks horizontally, vertically or diagonally.</p>


<h2 id="vardipol">Dipol</h2>
<p>Input shapes are 3 random blocks aligned vertically.</p>
<p>The goal is to assemble horizontal, vertical or diagonal lines consisting of 4 blocks.<br />
Of these, the first and the second pair must be of the same color.</p>
<p>Some such examples are:</p>
<div class="playfield">
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile2.png"><img src="gfx/tile2.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile3.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile3.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile5.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile4.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile7.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile5.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile4.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile7.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile6.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile3.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile6.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile3.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
</div>

<h2 id="varpentaxim">Pentaxim</h2>
<p>Input shapes are pentominos.</p>
<p>When rows are filled with blocks, rows above and below the filled row disappear too.</p>

<h2 id="varpentest">Pentest</h2>
<p>Input shapes are pentominos.</p>
<p>Pack shapes as tightly as possible to fill horizontal areas of 11x1, or 6x2, or 3x3 blocks.</p>

<div class="playfield">
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tile1.png"><img src="gfx/tilebg.png"><br>
<img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><img src="gfx/tilebg.png"><br>
</div>
</body>
</html>
